<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        
        <title></title>>
    </head>
    <body>
        <form>
            <section>
                <p>Datalist</p>
                <fieldset>
                    <label for="inputLista">Lista de colores</label>
                    <input list="lista de colores" name="inputLista">
                    <datalist id="Listacolores">
                        <option value="Azul">
                        <option value="Rojo">
                        <option value="Amarillo">
                        <option value="Negro">
                        <option value="Blanco">
                    </datalist>
                </fieldset>
            </section>

            <section>
                <p>Url input</p>
                <fieldset>
                    <label for="url">Lista de urls</label>
                    <input type="url" name="url" id="url"
                    placeholder="https://example.com"
                    pattern="https://.*" size="30"
                    list="listaurls"
                    required>
                <datalist id="listaurls">
                    <option value="https://www.google.com" label="by google">
                    <option value="https://www.msn.com" label="by ms"></option>
                </datalist>
                </fieldset>
            </section>

            <section>
                <p>Range</p>
                <fieldset>
                    <label for="range">Rangos</label>
                    <input type="range" list="listanums" step="1" name="range" max="6" min="0">
                    <details id="listanums">
                        <option value="0" label="cero">
                        <option value="1" label="uno">
                        <option value="2" label="dos">
                        <option value="3" label="tres">
                        <option value="4" label="cuatro">
                        <option value="5" label="cinco">
                    </details>
                </fieldset>
            </section>

            <br>
            <input type="submit" name="btn_enviar" value="Enviar">
            <input type="reset" name="btn_limpiar" value="Limpiar">

        </form>
    </body>
</html>